package com.ffii.lioner.modules.lioner.pdf.entity;

import java.time.LocalDate;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;

@Entity
@Table(name = "form_sig_page")
public class FormSigPage extends BaseEntity<Long> {

    @NotBlank
    @Column(name = "formCode")
    private String formCode;

    @NotNull
    @Column(name = "startDate")
    private LocalDate startDate;

    @NotBlank
    @Column(name = "sigType")
    private String sigType;

    @NotNull
    @Column(name = "pageFrom")
    private Integer pageFrom;

    @NotNull
    @Column(name = "pageTo")
    private Integer pageTo;

    public String getFormCode() {
        return formCode;
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public LocalDate getStartDate() {
        return startDate;
    }

    public void setStartDate(LocalDate startDate) {
        this.startDate = startDate;
    }

    public String getSigType() {
        return sigType;
    }

    public void setSigType(String sigType) {
        this.sigType = sigType;
    }

    public Integer getPageFrom() {
        return pageFrom;
    }

    public void setPageFrom(Integer pageFrom) {
        this.pageFrom = pageFrom;
    }

    public Integer getPageTo() {
        return pageTo;
    }

    public void setPageTo(Integer pageTo) {
        this.pageTo = pageTo;
    }
}
